select count(1) from sapabap1.bkpf where aedat = '00000000' union all
select count(1) from sapabap1.bkpf where aedat != '00000000' union all
select count(1) from sapabap1.bkpf where aedat  is null;



select top 20 "$rowid$" as rowids,
       		mandt, bukrs, belnr, gjahr, blart, bldat, budat, monat, cpudt, cputm, 
			case aedat when '00000000' then null else to_date(aedat) end as aedat, upddt,
       		(to_date(cpudt)||' '||to_time(cputm)) as cpudt_cputm
    	from sapabap1.Bkpf
    	where mandt = '800' and bukrs = '1100' and belnr = '5100000028' and gjahr = '2020'
    	
    	